Bug 1454930 - [abrt] nemo: nemo_centered_placement_grid_get_next_free_position(): nemo-desktop killed by SIGSEGV
Summary: [abrt] nemo: nemo_centered_placement_grid_get_next_free_position(): nemo-desk...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nemo
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8337d02972cf4318e0a3c7f54d1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-23 19:16 UTC by Peter Greenwood
Modified: 2017-06-09 19:10 UTC (History)
2 users (show)

Fixed In Version: nemo-3.4.2-1.fc25 nemo-3.4.2-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 11:29:02 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (31.11 KB, text/plain)
2017-05-23 19:16 UTC, Peter Greenwood
no flags Details
File: cgroup (242 bytes, text/plain)
2017-05-23 19:16 UTC, Peter Greenwood
no flags Details
File: core_backtrace (5.98 KB, text/plain)
2017-05-23 19:16 UTC, Peter Greenwood
no flags Details
File: dso_list (9.38 KB, text/plain)
2017-05-23 19:16 UTC, Peter Greenwood
no flags Details
File: environ (1.72 KB, text/plain)
2017-05-23 19:16 UTC, Peter Greenwood
no flags Details
File: exploitable (82 bytes, text/plain)
2017-05-23 19:16 UTC, Peter Greenwood
no flags Details
File: limits (1.29 KB, text/plain)
2017-05-23 19:16 UTC, Peter Greenwood
no flags Details
File: maps (49.16 KB, text/plain)
2017-05-23 19:16 UTC, Peter Greenwood
no flags Details
File: mountinfo (3.90 KB, text/plain)
2017-05-23 19:16 UTC, Peter Greenwood
no flags Details
File: namespaces (102 bytes, text/plain)
2017-05-23 19:16 UTC, Peter Greenwood
no flags Details
File: open_fds (3.07 KB, text/plain)
2017-05-23 19:16 UTC, Peter Greenwood
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-05-23 19:16 UTC, Peter Greenwood
no flags Details
File: var_log_messages (684 bytes, text/plain)
2017-05-23 19:17 UTC, Peter Greenwood
no flags Details

Description Peter Greenwood 2017-05-23 19:16:33 UTC
Version-Release number of selected component:
nemo-3.4.0-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        nemo-desktop
crash_function: nemo_centered_placement_grid_get_next_free_position
executable:     /usr/bin/nemo-desktop
global_pid:     6133
kernel:         4.10.15-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1002

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 nemo_centered_placement_grid_get_next_free_position at nemo-centered-placement-grid.c:217
 #1 lay_down_icons_vertical_desktop at nemo-icon-view-grid-container.c:732
 #2 nemo_icon_view_grid_container_lay_down_icons at nemo-icon-view-grid-container.c:761
 #3 redo_layout_internal at nemo-icon-container.c:1025
 #4 nemo_icon_container_redo_layout at nemo-icon-container.c:1074
 #5 nemo_icon_container_set_auto_layout at nemo-icon-container.c:6695
 #6 nemo_icon_view_begin_loading at nemo-icon-view.c:1085
 #11 finish_loading at nemo-view.c:10376
 #12 merged_callback_check_done at nemo-desktop-directory.c:129
 #13 merged_callback_remove_directory at nemo-desktop-directory.c:143

Comment 1 Peter Greenwood 2017-05-23 19:16:40 UTC
Created attachment 1281701 [details]
File: backtrace

Comment 2 Peter Greenwood 2017-05-23 19:16:41 UTC
Created attachment 1281702 [details]
File: cgroup

Comment 3 Peter Greenwood 2017-05-23 19:16:43 UTC
Created attachment 1281703 [details]
File: core_backtrace

Comment 4 Peter Greenwood 2017-05-23 19:16:45 UTC
Created attachment 1281704 [details]
File: dso_list

Comment 5 Peter Greenwood 2017-05-23 19:16:46 UTC
Created attachment 1281705 [details]
File: environ

Comment 6 Peter Greenwood 2017-05-23 19:16:48 UTC
Created attachment 1281706 [details]
File: exploitable

Comment 7 Peter Greenwood 2017-05-23 19:16:50 UTC
Created attachment 1281707 [details]
File: limits

Comment 8 Peter Greenwood 2017-05-23 19:16:52 UTC
Created attachment 1281708 [details]
File: maps

Comment 9 Peter Greenwood 2017-05-23 19:16:54 UTC
Created attachment 1281709 [details]
File: mountinfo

Comment 10 Peter Greenwood 2017-05-23 19:16:56 UTC
Created attachment 1281710 [details]
File: namespaces

Comment 11 Peter Greenwood 2017-05-23 19:16:57 UTC
Created attachment 1281711 [details]
File: open_fds

Comment 12 Peter Greenwood 2017-05-23 19:16:59 UTC
Created attachment 1281712 [details]
File: proc_pid_status

Comment 13 Peter Greenwood 2017-05-23 19:17:00 UTC
Created attachment 1281713 [details]
File: var_log_messages

Comment 14 Fedora Update System 2017-05-23 19:55:57 UTC
nemo-3.4.2-1.fc25 cinnamon-3.4.1-1.fc25 cinnamon-desktop-3.4.1-1.fc25 cjs-3.4.1-1.fc25 cinnamon-translations-3.4.2-1.fc25 cinnamon-settings-daemon-3.4.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1ae435e0c0

Comment 15 Fedora Update System 2017-05-23 19:56:36 UTC
nemo-3.4.2-1.fc26 cinnamon-3.4.1-1.fc26 cinnamon-desktop-3.4.1-1.fc26 cjs-3.4.1-1.fc26 cinnamon-translations-3.4.2-1.fc26 cinnamon-settings-daemon-3.4.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c08a63574

Comment 16 Fedora Update System 2017-05-25 19:19:35 UTC
cinnamon-3.4.1-1.fc26, cinnamon-desktop-3.4.1-1.fc26, cinnamon-settings-daemon-3.4.1-1.fc26, cinnamon-translations-3.4.2-1.fc26, cjs-3.4.1-1.fc26, nemo-3.4.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c08a63574

Comment 17 Fedora Update System 2017-05-26 06:01:56 UTC
cinnamon-3.4.1-1.fc25, cinnamon-desktop-3.4.1-1.fc25, cinnamon-settings-daemon-3.4.1-1.fc25, cinnamon-translations-3.4.2-1.fc25, cjs-3.4.1-1.fc25, nemo-3.4.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1ae435e0c0

Comment 18 Fedora Update System 2017-05-26 11:39:26 UTC
cinnamon-3.4.1-1.fc25 cinnamon-desktop-3.4.1-1.fc25 cinnamon-session-3.4.0-6.fc25 cinnamon-settings-daemon-3.4.1-1.fc25 cinnamon-translations-3.4.2-1.fc25 cjs-3.4.1-1.fc25 nemo-3.4.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1ae435e0c0

Comment 19 Fedora Update System 2017-05-26 11:41:10 UTC
cinnamon-3.4.1-1.fc26 cinnamon-desktop-3.4.1-1.fc26 cinnamon-session-3.4.0-6.fc26 cinnamon-settings-daemon-3.4.1-1.fc26 cinnamon-translations-3.4.2-1.fc26 cjs-3.4.1-1.fc26 nemo-3.4.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c08a63574

Comment 20 Fedora Update System 2017-05-26 19:34:50 UTC
cinnamon-3.4.1-1.fc26, cinnamon-desktop-3.4.1-1.fc26, cinnamon-session-3.4.0-6.fc26, cinnamon-settings-daemon-3.4.1-1.fc26, cinnamon-translations-3.4.2-1.fc26, cjs-3.4.1-1.fc26, nemo-3.4.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c08a63574

Comment 21 Fedora Update System 2017-05-27 04:39:12 UTC
cinnamon-3.4.1-1.fc25, cinnamon-desktop-3.4.1-1.fc25, cinnamon-session-3.4.0-6.fc25, cinnamon-settings-daemon-3.4.1-1.fc25, cinnamon-translations-3.4.2-1.fc25, cjs-3.4.1-1.fc25, nemo-3.4.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1ae435e0c0

Comment 22 Fedora Update System 2017-05-31 23:03:39 UTC
cinnamon-3.4.1-2.fc25 cinnamon-desktop-3.4.1-1.fc25 cinnamon-session-3.4.0-6.fc25 cinnamon-settings-daemon-3.4.1-1.fc25 cinnamon-translations-3.4.2-1.fc25 cjs-3.4.1-1.fc25 nemo-3.4.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1ae435e0c0

Comment 23 Fedora Update System 2017-05-31 23:05:52 UTC
cinnamon-3.4.1-2.fc26 cinnamon-desktop-3.4.1-1.fc26 cinnamon-session-3.4.0-6.fc26 cinnamon-settings-daemon-3.4.1-1.fc26 cinnamon-translations-3.4.2-1.fc26 cjs-3.4.1-1.fc26 nemo-3.4.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c08a63574

Comment 24 Fedora Update System 2017-06-01 18:05:15 UTC
cinnamon-3.4.1-2.fc25, cinnamon-desktop-3.4.1-1.fc25, cinnamon-session-3.4.0-6.fc25, cinnamon-settings-daemon-3.4.1-1.fc25, cinnamon-translations-3.4.2-1.fc25, cjs-3.4.1-1.fc25, nemo-3.4.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1ae435e0c0

Comment 25 Fedora Update System 2017-06-04 05:10:07 UTC
cinnamon-3.4.1-2.fc26, cinnamon-desktop-3.4.1-1.fc26, cinnamon-session-3.4.0-6.fc26, cinnamon-settings-daemon-3.4.1-1.fc26, cinnamon-translations-3.4.2-1.fc26, cjs-3.4.1-1.fc26, nemo-3.4.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c08a63574

Comment 26 Fedora Update System 2017-06-09 11:29:02 UTC
cinnamon-3.4.1-2.fc25, cinnamon-desktop-3.4.1-1.fc25, cinnamon-session-3.4.0-6.fc25, cinnamon-settings-daemon-3.4.1-1.fc25, cinnamon-translations-3.4.2-1.fc25, cjs-3.4.1-1.fc25, nemo-3.4.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2017-06-09 19:10:12 UTC
cinnamon-3.4.1-2.fc26, cinnamon-desktop-3.4.1-1.fc26, cinnamon-session-3.4.0-6.fc26, cinnamon-settings-daemon-3.4.1-1.fc26, cinnamon-translations-3.4.2-1.fc26, cjs-3.4.1-1.fc26, nemo-3.4.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.